<?php
################################################################################
### This disclaimer must be kept intact in order to use this product.        ###
################################################################################
### Project: jT CarFramework [http://intersofts.com]
### Author: J. Toshio Taniguchi
### Since: 27.04.2011
### Version: 1.0.0
### Copyrights: J. Toshio Taniguchi
### Contact: j.taniguchi@taniguchi-blog.com
################################################################################
### CONTRIBUTORS
### - none
################################################################################
class adminpagemanager 
{
    private $lang;
    protected $form_status;
    protected $form_message;
    protected $form_style;
    protected $page_list;
    
    
    /*
     * Constructor -------------------------------------------------------------
     */
    public function adminpagemanager($lang=array())
    {
        $this->lang = $lang;
        
        // handle update page metadata form.
        if( isset($_POST['updateBtn']) )
        {
            $this->handleUpdateForm();
        }
        
        // handle edit page's content form.
        if( isset($_POST['editBtn']) )
        {
            $this->handleEditForm();
        }
        
        // handle remove page form.
        if( isset($_POST['removeBtn']) )
        {
            $this->handleDeleteForm();
        }
        
        // load page list.
        $this->loadPageList();
    }
    
    /*
     * Private method: handle edit page's content handler ----------------------
     */
    private function handleEditForm()
    {
        $id = trim($_POST['idInput']);
        
        header("Location: " . BASE_RELATIVE . 'home/page-content-editor/?pid=' . $id);
    }
    
    /*
     * Private method: remove page form handler --------------------------------
     */
    private function handleDeleteForm()
    {
        $group = trim($_POST['groupInput']);
        $slug = trim($_POST['slugInput']);
        $id = trim($_POST['idInput']);
        
        // validate page.
        $page_url = BASE_ROOT . 'view/page/' . $group . '-' . $slug . '.php';
        
        if( !file_exists($page_url) )
        {
            $this->form_message = $this->lang['CMS_MANAGE_INVALID_REMOVE_REQUEST'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            
            return;
        }
        
        // connect to database.
        require_once BASE_ROOT . 'core/class-connect.php';
        
        $cnx = new Connect();
        $cnx->open();
        
        // filter.
        $id = mysql_real_escape_string($id);
        
        // remove page from database.
        if( !@mysql_query("DELETE FROM `page` WHERE `id`='$id' LIMIT 1;") )
        {
            $cnx->close();
            
            require_once BASE_ROOT . 'core/class-log.php';
            
            LogReport::write('Unable to delete from table page due a query error at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            
            $this->form_message = $this->lang['CMS_MANAGE_DELETE_QUERY_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            
            return;
        }
        
        $cnx->close();
        
        // remove page.
        if( file_exists($page_url) )
        {
            @unlink($page_url);
        }
        else
        {
            require_once BASE_ROOT . 'core/class-log.php';
            LogReport::write('URGENT: Unable to delete page ['.$page_url.']. Error throw at ' . __FILE__ . ':' . __LINE__ . '. Remove it manualy!');
        }
        
        // remove controller.
        $controller_url = BASE_ROOT . 'controller/' . $group . '-' . $slug . '.php';
        
        if( file_exists($controller_url) )
        {
            @unlink($controller_url);
        }
        else
        {
            require_once BASE_ROOT . 'core/class-log.php';
            LogReport::write('URGENT: Unable to delete page controller ['.$controller_url.']. Error throw at ' . __FILE__ . ':' . __LINE__ . '. Remove it manualy!');
        }
        
        // remove css.
        $css_url = BASE_ROOT . 'view/css/' . $group . '-' . $slug . '.css';
        
        if( file_exists($css_url) )
        {
            @unlink($css_url);
        }
        
        // remove js.
        $js_url = BASE_ROOT . 'view/js/' . $group . '-'. $slug . '.js';
        
        if( file_exists($js_url) )
        {
            @unlink($js_url);
        }
                
        // remove language.
        $language_url = BASE_ROOT . 'language/' . $group . '-' . $slug . '.php';
        
        if( file_exists($language_url) )
        {
            @unlink($language_url);
        }
        
        $this->form_message = $this->lang['CMS_MANAGE_DELETE_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        
        return;
    }
    
    /*
     * Private method: update page's metadata form handler ---------------------
     * note: I know there is more data than it actually needs but I'm thinking
     * about future updates...
     */
    private function handleUpdateForm()
    {
        $title = trim($_POST['titleInput']);
        $keyword = trim($_POST['keywordInput']);
        $description = trim($_POST['descriptionInput']);
        $robots = trim($_POST['robotsInput']);
        $author = trim($_POST['authorInput']);
        $publish = trim($_POST['publishInput']);
        $group = trim($_POST['groupInput']);
        $slug = trim($_POST['slugInput']);
        $id = trim($_POST['idInput']);
        
        // validate input data.
        if(strlen($title) < 5 )
        {
            $this->form_message = $this->lang['CMS_MANAGER_TITLE_LABEL_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            
            return;
        }
        
        $publish = (bool)$publish;
        ( $publish ? $publish = '1' : $publish = '0' );
        
        // connect to database.
        require_once BASE_ROOT . 'core/class-connect.php';
        
        $cnx = new Connect();
        $cnx->open();
        
        // filter inputs.
        $title = mysql_real_escape_string($title);
        $keyword = mysql_real_escape_string($keyword);
        $description = mysql_real_escape_string($description);
        $author = mysql_real_escape_string($author);
        $group = mysql_real_escape_string($group);
        $slug = mysql_real_escape_string($slug);
        
        // update database.
        if( !mysql_query("UPDATE `page` SET `meta_keywords`='$keyword', 
                                            `meta_description`='$description', 
                                            `meta_robots`='$robots', 
                                            `page_title`='$title', 
                                            `page_publish`='$publish', 
                                            `page_author`='$author' WHERE `id`='$id' LIMIT 1;") )
        {
            $cnx->close();
            
            require_once BASE_ROOT . 'core/class-log.php';
            
            LogReport::write('Unable to update page table due a query error at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            
            $this->form_message = $this->lang['CMS_MANAGER_UPDATE_QUERY_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-warning';
            
            return;
        }
        
        $cnx->close();
        
        $this->form_message = $this->lang['CMS_MANAGE_UPDATE_SUCCESS'];
        $this->form_status = true;
        $this->form_style = 'alert-success';
        
        return;
    }
    
    /*
     * Private method: load page list ------------------------------------------
     */
    private function loadPageList()
    {
        require_once BASE_ROOT . 'core/class-connect.php';
        
        $cnx = new Connect();
        $cnx->open();
        
        if( !$sql = @mysql_query("SELECT * FROM `page`") )
        {
            $cnx->close();
            
            require_once BASE_ROOT . 'core/class-log.php';
            
            LogReport::write('Unable to load page list due a query error at ' . __FILE__ . ':' . __LINE__ . '. ' . mysql_error());
            
            $this->form_message = $this->lang['CMS_MANAGER_PAGELIST_LOADER_ERROR'];
            $this->form_status = true;
            $this->form_style = 'alert-error';
            
            return false;
        }
        
        if( @mysql_num_rows($sql) < 1 )
        {
            $cnx->close();
            
            return array();
        }
        
        $result = array();
        
        while( $r = @mysql_fetch_assoc($sql) )
        {
            $obj = array();
            $obj['id'] = $r['id'];
            $obj['meta_keywords'] = $r['meta_keywords'];
            $obj['meta_description'] = $r['meta_description'];
            $obj['meta_robots'] = $r['meta_robots'];
            $obj['page_title'] = $r['page_title'];
            $obj['page_slug'] = $r['page_slug'];
            $obj['page_publish'] = $r['page_publish'];
            $obj['page_author'] = $r['page_author'];
            $obj['creation'] = $r['creation'];
            $obj['editable'] = $r['editable'];
            $obj['page_group'] = $r['page_group'];
            $obj['html'] = $r['html'];
            
            array_push($result, $obj);
        }
        
        @mysql_free_result($sql);
        $cnx->close();
        
        $this->page_list = $result;
    }
    
    /*
     * Public method: get page list --------------------------------------------
     * @return array | bool.
     */
    public function getPageList()
    {
        return $this->page_list;
    }
    
    /*
     * Public method: get form status ------------------------------------------
     * @return bool.
     */
    public function getFormStatus()
    {
        return $this->form_status;
    }
    
    /*
     * Public method: get form message -----------------------------------------
     * @return string.
     */
    public function getFormMessage()
    {
        return $this->form_message;
    }
    
    /*
     * Public method: get form style -------------------------------------------
     * @return string.
     */
    public function getFormStyle()
    {
        return $this->form_style;
    }
}
?>
